<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Matrimonio extends Model
{

    protected $table = 'matrimonios';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'libro', 'folio','partida','church_id','sacramento_id','fecha','esposo_nombre','esposo_apellido_paterno','esposo_apellido_materno','esposa_nombre','esposa_apellido_paterno','esposa_apellido_materno','nombre_t1','apellido_paterno_t1','apellido_materno_t1','nombre_t2','apellido_paterno_t2','apellido_materno_t2','sacerdote_id','parroco_id'
    ];

    public function church()
    {
        return $this->belongsTo('App\Church', 'church_id', 'id');
    }

    public function sacramento()
    {
        return $this->belongsTo('App\Sacramento', 'sacramento_id', 'id');
    }    

    public function sacerdote()
    {
        return $this->belongsTo('App\Member', 'sacerdote_id', 'id');
    }

    public function parroco()
    {
        return $this->belongsTo('App\Member', 'parroco_id', 'id');
    }


    public function estado()
    {
        return $this->belongsTo('App\Estado', 'estado_id', 'id');
    }

    public function municipio()
    {
        return $this->belongsTo('App\Municipio', 'municipio_id', 'id');
    }
}